<?php
/* 	D5 Business Line Pro Theme's Functions
	Copyright: 2012-2014, D5 Creation, www.d5creation.com
	Based on the Simplest D5 Framework for WordPress
	Since D5 Business Line 1.0
*/
	
  	register_nav_menu( 'menu', 'Menu' );


//	Set the content width based on the theme's design and stylesheet.
	if ( ! isset( $content_width ) ) $content_width = 584;

// Load the D5 Framework Optios Page
	if ( !function_exists( 'optionsframework_init' ) ) {
	define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/' );
	require_once dirname( __FILE__ ) . '/inc/options-framework.php';
	}

// 	Tell WordPress for wp_title in order to modify document title content
	function d5businesslinepro_filter_wp_title( $title ) {
    $site_name = get_bloginfo( 'name' );
    $filtered_title = $site_name . $title;
    return $filtered_title;
	}
	add_filter( 'wp_title', 'd5businesslinepro_filter_wp_title' );


// 	Tell WordPress for the Feed Link
	add_editor_style();
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'woocommerce' );
	
// 	This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
	if ( function_exists( 'add_theme_support' ) ) { 
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 150, 150, true ); // default Post Thumbnail dimensions (cropped)

	// additional image sizes
	// delete the next line if you do not need additional image sizes
	add_image_size( 'category-thumb', 300, 9999 ); //300 pixels wide (and unlimited height)
	}
	
		
// 	WordPress 3.4 Custom Background Support	
	$d5businesslinepro_custom_background = array(
	'default-color'          => 'eeeeee',
	'default-image'          => get_template_directory_uri() . '/images/bodyback.jpg',
	);
	add_theme_support( 'custom-background', $d5businesslinepro_custom_background );
	
// 	WordPress 3.4 Custom Header Support				
	$d5businesslinepro_custom_header = array(
	'default-image'          => get_template_directory_uri() . '/images/logo.png',
	'random-default'         => false,
	'width'                  => 300,
	'height'                 => 90,
	'flex-height'            => false,
	'flex-width'             => false,
	'default-text-color'     => '000000',
	'header-text'            => false,
	'uploads'                => false,
	'wp-head-callback' 		 => '',
	'admin-head-callback'    => '',
	'admin-preview-callback' => '',
	);
	add_theme_support( 'custom-header', $d5businesslinepro_custom_header );

// 	Functions for adding script
	function d5businesslinepro_enqueue_scripts() {
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) { 
		wp_enqueue_script( 'comment-reply' ); 
	}
	
	wp_enqueue_script( 'jquery' );
	wp_enqueue_script( 'd5businesslinepro-menu-style', get_template_directory_uri(). '/js/menu.js' );
	wp_enqueue_style('d5businesslinepro-gfonts1', '//fonts.googleapis.com/css?family=Oswald', false );
	wp_enqueue_style('d5businesslinepro-gfonts1', '//fonts.googleapis.com/css?family=Droid+Sans', false );
	if ( of_get_option('responsive', '0') == '1' ) : wp_enqueue_style('businessline-responsive', get_template_directory_uri(). '/style-responsive.css' ); endif;
	
	}
	add_action( 'wp_enqueue_scripts', 'd5businesslinepro_enqueue_scripts' );


// 	Functions for adding some custom code within the head tag of site
	function d5businesslinepro_custom_code() {
?>
	
	<style type="text/css">
	.site-title a, 
	.site-title a:active, 
	.site-title a:hover {
	
	color: #<?php echo get_header_textcolor(); ?>;
	}
	.credit {
	display: <?php if (of_get_option('credit') == '1') :  echo ('none'); endif;?>;
	}
	
	<?php  
	
	if (of_get_option('colorcssaccept', '0') == '1') :
	$color1 = of_get_option('color1', '#FFFFFF');
	$color2 = of_get_option('color2', '#EEEEEE');
	$color3 = of_get_option('color3', '#CCCCCC');
	$color4 = of_get_option('color4', '#999999');
	$color5 = of_get_option('color5', '#555555');
	$color6 = of_get_option('color6', '#333333');
	$color7 = of_get_option('color7', '#26292B');
	$color8 = of_get_option('color8', '#111111');
	$color9 = of_get_option('color9', '#0DB0D8');
	$color10 = of_get_option('color10', '#0387BF');
	$color11 = of_get_option('color11', '#085D96');
	$color12 = of_get_option('color12', '#FF3300');
	echo '  
	.wp-caption{background:'. $color1 .';border:1px solid '. $color2 .';}.content-ver-sep{background:'. $color3 .';border-bottom:1px solid '. $color1 .';}#footer{background:'. $color7 .';border-bottom:50px solid '. $color8 .';border-top:10px solid '. $color8 .';box-shadow:0 0 5px 0 '. $color8 .';}.versep{background:'. $color8 .';border-bottom:1px solid '. $color6 .';border-top:80px solid '. $color6 .';}h2#client-text.post-title{color:'. $color4 .';text-shadow:1px 1px 3px '. $color1 .';}#creditline{color:'. $color4 .';text-shadow:0 0 1px '. $color8 .';}#d5businesslinepro-main-menu{color:'. $color2 .';}#d5businesslinepro-main-menu a:hover:before,#d5businesslinepro-main-menu .current-menu-item > a:before,#d5businesslinepro-main-menu .current-menu-ancestor > a:before,#d5businesslinepro-main-menu .current_page_item > a:before,#d5businesslinepro-main-menu .current_page_ancestor > a:before{border-top:20px solid '. $color12 .';}#d5businesslinepro-main-menu ul ul,.sub-menu,.sub-menu ul ul{border-bottom:5px solid '. $color8 .';background:'. $color2 .';box-shadow:0 0 3px 0 '. $color9 .';}#d5businesslinepro-main-menu ul ul a{background:'. $color2 .';border-bottom:1px solid '. $color3 .';border-top:1px solid '. $color1 .';color:'. $color6 .';}#d5businesslinepro-main-menu ul ul a:hover,#d5businesslinepro-main-menu ul ul .current-menu-item > a,#d5businesslinepro-main-menu ul ul .current-menu-ancestor > a,#d5businesslinepro-main-menu ul ul .current_page_item > a,#d5businesslinepro-main-menu ul ul .current_page_ancestor > a{background:'. $color3 .';color:'. $color6 .';}#right-sidebar .widget{border:1px solid '. $color4 .';box-shadow:0 0 7px 0 '. $color5 .';}#right-sidebar .widget h3{color:'. $color9 .';text-shadow:-1px 1px 1px '. $color2 .';}#right-sidebar .widget ul{border-bottom:1px solid '. $color2 .';border-top:1px solid '. $color4 .';}#right-sidebar .widget li{border-bottom:1px solid '. $color4 .';border-top:1px solid '. $color2 .';}#footer-sidebar .widget ul{border-bottom:1px solid '. $color5 .';border-top:1px solid '. $color8 .';}#footer-sidebar .widget li{border-bottom:1px solid '. $color8 .';border-top:1px solid '. $color5 .';}hr{background-color:'. $color3 .';}pre{background:'. $color1 .';}abbr,acronym{border-bottom:1px dotted '. $color5 .';cursor:help;}address{background:'. $color2 .';border:2px solid '. $color2 .';}#header { border-bottom: 7px solid '. $color9 .';} table{background-color:'. $color2 .';border:1px solid '. $color1 .';box-shadow:0 0 5px 0 '. $color2 .';color:'. $color6 .';}th{background:'. $color3 .';}textarea,input[type=text],input[type=password],input[type=email],input[type=number],input[type=search],input[type=tel],input[type=url],.titlewrap input,select{background:'. $color3 .';border-top:1px solid '. $color4 .';border-left:1px solid '. $color4 .';border-right:1px solid '. $color1 .';border-bottom:1px solid '. $color1 .';}textarea:focus,input[type=text]:focus,input[type=password]:focus,input[type=email]:focus,input[type=number]:focus,input[type=search]:focus,input[type=tel]:focus,input[type=url]:focus,.titlewrap:focus input:focus,select:focus{background:'. $color2 .';}button, input[type="reset"], input[type="button"], input[type="submit"] { 	-moz-box-shadow:inset 0px 1px 0px 0px '. $color9 .'; -webkit-box-shadow:inset 0px 1px 0px 0px '. $color9 .'; 	box-shadow:0px 0px 3px 0px '. $color5 .'; background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, '. $color9 .'), color-stop(1, '. $color11 .') ); background:-moz-linear-gradient( center top, '. $color9 .' 5%, '. $color11 .' 100% ); background-color:'. $color9 .'; border:1px solid '. $color10 .'; color:'. $color2 .'; text-shadow:1px 1px 1px '. $color5 .'; } button:hover, input[type="reset"]:hover, input[type="button"]:hover, input[type="submit"]:hover {background-color:'. $color11 .';background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, '. $color11 .'), color-stop(1, '. $color9 .') );background:-moz-linear-gradient( center top, '. $color11 .' 5%, '. $color9 .' 100% );}.sticky{background:'. $color2 .';border:5px solid '. $color2 .';}#container,#content,#content-full{text-shadow:1px 1px 1px '. $color3 .';}#content img,#content-full img{box-shadow:0 0 1px 0 '. $color4 .';}#heading{text-shadow:-1px -1px 0 '. $color1 .';color:'. $color9 .';}#slide{border:1px solid '. $color3 .';box-shadow:0 -1px 5px 0 '. $color2 .';}#ft-title-slide blockquote{border-left:10px solid '. $color4 .';border-right:10px solid '. $color4 .';box-shadow:0 0 5px 0 '. $color4 .';}#featured-boxs img.box-image{box-shadow:0 0 1px 0 '. $color5 .';}blockquote{background:none repeat scroll 0 0 rgba(255,255,255,0.35);border-left:10px solid '. $color3 .';border-right:10px solid '. $color3 .';}#container .attachment-thumbnail{border:1px solid '. $color2 .';}h1.page-title,h1.arc-post-title{text-shadow:-1px -1px 3px '. $color1 .';color:'. $color5 .';}h3 span{color:'. $color4 .';}.read-more{background:none repeat scroll 0 0 '. $color2 .';border:1px solid '. $color3 .';box-shadow:0 0 3px 0 '. $color3 .';}.postmetadata{text-shadow:0 0 1px '. $color1 .';}#page-nav a{background:'. $color2 .';border-color:'. $color1 .' '. $color3 .' '. $color3 .' '. $color1 .';}#commentsbox .comment-author cite,#commentsbox .comment-author cite a{color:'. $color10 .';text-shadow:-1px -1px 1px '. $color1 .';}#commentsbox .commentlist li.comment{border-top:3px solid '. $color4 .';}#commentsbox .commentlist .children li{border-top:2px solid '. $color1 .';}body,#right-sidebar .widget,#right-sidebar .widget li,#right-sidebar .widget a,#right-sidebar .widget a:hover{color:'. $color6 .';}#creditline a,#d5businesslinepro-main-menu a:hover,#d5businesslinepro-main-menu .current-menu-item > a,#d5businesslinepro-main-menu .current-menu-ancestor > a,#d5businesslinepro-main-menu .current_page_item > a,#d5businesslinepro-main-menu .current_page_ancestor > a,h2.post-title a,h2.post-title a:hover,h2.comments a,h2.post-title-color{color:'. $color9 .';}#d5businesslinepro-main-menu a,#footer-sidebar .widget,#footer-sidebar .widget li,#footer-sidebar .widget a,#footer-sidebar .widget a:hover,blockquote:before,blockquote:after{color:'. $color3 .';}a,.sticky:before,h3.arc-src,#commentsbox .comment-meta,#commentsbox .comment-meta a:link,#commentsbox .comment-meta a:visited,#respond .required{color:'. $color12 .';}caption,.read-more a{color:'. $color5 .';}#featured-boxs h2.box-title,h2.post-title,h2.comments,h3#reply-title,h2.post-title-color{text-shadow:-1px -1px 3px '. $color1 .';}.postmetadata a,.postmetadataw a{color:'. $color10 .';}
	
	';
	
	echo of_get_option('color-setting', '') ;
	endif;	
	
	if ( of_get_option('responsive', '0') == '1' ) : echo '@media screen and (max-width:750px){ #slide-container { background: url("' . of_get_option('slide-image1', get_template_directory_uri() . '/images/slide-image/slide-image1.jpg') . '") no-repeat scroll center top / 95% auto transparent; } }'; endif;  
	
	if (of_get_option('site-layout', '2c-r-fixed') == '1col-fixed') : echo '#content { width: 1050px; } #right-sidebar { display: none; }' ; endif; 
	if (of_get_option('site-layout', '2c-r-fixed') == '2c-l-fixed') : echo '#content { float: right; } #right-sidebar { float: left; }' ; endif; 
	if (of_get_option('wpad', '0') == '1') : echo '.postmetadataw { display: none; }' ; endif;
	if (of_get_option('wppct', '0') == '1') : echo '.up-bottom-border { display: none; } .entrytext { background: none; }' ; endif;
	
	$header_back = of_get_option('website-back');
	if ($header_back) :
	echo '#header {';  echo 'background-image: url("'. $header_back['image'] . '");' ; if ($header_back['color']): echo 'background-color:'. $header_back['color'] . ';' ; endif; if ($header_back['repeat']): echo 'background-repeat:'. $header_back['repeat'] . ';' ; endif; if ($header_back['repeat']): echo 'background-position:'. $header_back['position'] . ';' ; endif; if ($header_back['repeat']): echo 'background-attachment:'. $header_back['attachment'] . ';' ; endif; echo '}';  
	
	endif;  
	
	if ( of_get_option('fbox_clm', 'fbox-fourclm' ) == 'fbox-oneclm' ): echo '.featured-box{width:96%;}'; endif; 
	if ( of_get_option('fbox_clm', 'fbox-fourclm' ) == 'fbox-twoclm' ): echo '.featured-box{width:45.75%;}'; endif; 
	if ( of_get_option('fbox_clm', 'fbox-fourclm' ) == 'fbox-threeclm' ): echo '.featured-box{width:29%;}'; endif; 
	if ( of_get_option('fbox_clm', 'fbox-fourclm' ) == 'fbox-fourclm' ): echo '.featured-box{width:20.65%;}'; endif; 
	
	 ?>
	
	
	</style>
	<link rel="shortcut icon" href="<?php echo of_get_option('favicon', get_template_directory_uri() . '/images/favicon.ico'); ?>" />
	
<?php 
	echo of_get_option('headcode');

	}
	
	add_action('wp_head', 'd5businesslinepro_custom_code');
	

//	function tied to the excerpt_more filter hook.
	function d5businesslinepro_excerpt_length( $length ) {
	global $blExcerptLength;
	if ($blExcerptLength) {
    return $blExcerptLength;
	} else {
    return 50; //default value
    } }
	add_filter( 'excerpt_length', 'd5businesslinepro_excerpt_length', 999 );
	
	function d5businesslinepro_excerpt_more($more) {
       global $post;
	return '<a href="'. get_permalink($post->ID) . '" class="read-more">' . of_get_option('readmore', 'Read More ...') . '</a>';
	}
	add_filter('excerpt_more', 'd5businesslinepro_excerpt_more');
	
	// Content Type Showing
	function d5businesslinepro_content() {
	if (( of_get_option('contype', '1') != '2' ) || is_page() || is_single() ) : the_content('<span class="read-more">' . of_get_option('readmore', 'Read More ...') . '</span>');
	else: the_excerpt();
	endif;	
	}



//	Get our wp_nav_menu() fallback, wp_page_menu(), to show a home link
	function d5businesslinepro_page_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
	}
	add_filter( 'wp_page_menu_args', 'd5businesslinepro_page_menu_args' );


//	Registers the Widgets and Sidebars for the site
	function d5businesslinepro_widgets_init() {

	register_sidebar( array(
		'name' =>  'Primary Sidebar',
		'id' => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	register_sidebar( array(
		'name' => 'Secondary Sidebar',
		'id' => 'sidebar-2',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	 
	register_sidebar( array(
		'name' => 'Footer Area One',
		'id' => 'sidebar-3',
		'description' =>  'An optional widget area for your site footer',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	    
	register_sidebar( array(
		'name' =>  'Footer Area Two',
		'id' => 'sidebar-4',
		'description' =>  'An optional widget area for your site footer',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	register_sidebar( array(
		'name' =>  'Footer Area Three',
		'id' => 'sidebar-5',
		'description' =>  'An optional widget area for your site footer',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
	
	register_sidebar( array(
		'name' =>  'Footer Area Four',
		'id' => 'sidebar-6',
		'description' =>  'An optional widget area for your site footer',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
	
	}
	add_action( 'widgets_init', 'd5businesslinepro_widgets_init' );
	
	
	add_filter('the_title', 'd5businesslinepro_title');
	function d5businesslinepro_title($title) {
        if ( '' == $title ) {
            return '(Untitled)';
        } else {
            return $title;
        }
    }
	
	// 	WordPress Login Form Customization
	if (of_get_option('login-logo', 1 ) == '1') :
	function d5businesslinepro_login_logo() { ?>
    <style type="text/css">
        body.login div#login h1 a {
            background-image: url("<?php echo of_get_option('site-logo', get_template_directory_uri(). '/images/logo.png'); ?>");
            padding-bottom: 10px;
			background-size: 100%  100%;
			width: 100%;
        }
    </style>
	<?php }
	add_action( 'login_enqueue_scripts', 'd5businesslinepro_login_logo' );

	function d5businesslinepro_login_logo_url() {
    return esc_url( home_url( '/' ) );
	}
	add_filter( 'login_headerurl', 'd5businesslinepro_login_logo_url' );
	endif;
	
	if ( of_get_option('admin-bar', '') == '1' ): add_filter( 'show_admin_bar', '__return_false' ); endif;

//	Remove WordPress Custom Header Support for the theme D5 Business Line
//	remove_theme_support('custom-header');